function example4
disp('**************************************************')
disp('                EXAMPLE 4')
disp('**************************************************')
format long;
%the endpoints of the integration interval:
system.a=0;   
system.b=pi; 
%boundary conditions:
system.A1=eye(3);
system.A2= zeros(3,3);
system.B1=eye(3);
system.B2= zeros(3,3);
%function handle to function specifying the potential matrix
system.V=@potentialMatrix;
disp(' ');
disp('Calculating eigenvalues with indices between 0 and 10...');
[EigvData,meshData]=computeEigenvalues(system,0,10,1e-10);

disp(['Number of intervals in the mesh: ' num2str(length(meshData.h))]); %number of intervals in the partition
disp(sprintf('k \t  E_k \t\t\t\t ErrEst \t status'))
for i=1:length(EigvData.eigenvalues)
    disp(sprintf('%-3.0f\t %-16.12f\t %-2.0e\t\t %d', EigvData.indices(i),EigvData.eigenvalues(i),EigvData.errorEstimations(i),EigvData.status(i)));
end

[x,Y,YP]=computeEigenfunction(system,meshData,EigvData.eigenvalues(5),1);
figure
plot(x,Y(1,:,1))
hold on
plot(x,Y(2,:,1),'r')
plot(x,Y(3,:,1),'m')
hold off
xlabel('x')
title('Eigenfunction y_4(x)')

disp(' ');
disp('Calculating eigenvalues with indices between 100 and 110...');
[EigvData,meshData]=computeEigenvalues(system,100,110,1e-10);
disp(sprintf('k \t  E_k \t\t\t\t ErrEst \t status'))
for i=1:length(EigvData.eigenvalues)
    disp(sprintf('%-3.0f\t %-16.12f\t %-2.0e\t\t %d', EigvData.indices(i),EigvData.eigenvalues(i),EigvData.errorEstimations(i),EigvData.status(i)));
end


end




function r=potentialMatrix(x)
  %returns the potential matrix evaluated in x
  %x may be a vector of values: make sure that the entries are vectorized, e.g.
  % x.^2 instead of x^2.
  r=zeros(3,3,length(x));
  for i=1:3
    r(i,i,:)=exp(x);
  end
  r(1,2,:)=-1*ones(1,length(x));
  r(2,1,:)=-1*ones(1,length(x));
end

