function example5
%the code also works for scalar problems
disp('**************************************************')
disp('                EXAMPLE 5: a scalar problem')
disp('**************************************************')
format long;
system.a=0;   
system.b=pi; 
system.A1=1;
system.A2= 0;
system.B1=1;
system.B2= 0;
system.V=@potentialMatrix;
disp(' ');
disp('Calculating eigenvalues with indices between 0 and 10...');
t=cputime;
[EigvData,meshData]=computeEigenvalues(system,0,10,1e-8);

disp(['Number of intervals in the mesh: ' num2str(length(meshData.h))]); %number of intervals in the partition
disp(['Time: ' num2str(cputime - t) ' sec']);
disp(sprintf('k \t  E_k \t\t\t\t ErrEst \t status'))
for i=1:length(EigvData.eigenvalues)
    disp(sprintf('%-3.0f\t %-16.12f\t %-2.0e\t\t %d', EigvData.indices(i),EigvData.eigenvalues(i),EigvData.errorEstimations(i),EigvData.status(i)));
end


[x,Y,YP]=computeEigenfunction(system,meshData,EigvData.eigenvalues(5),1);
figure
plot(x,Y(1,:,1))
xlabel('x')
title('Eigenfunction y_4(x)')
end




function r=potentialMatrix(x)
  %returns the potential matrix evaluated in x
  %x may be a vector of values 
 r(1,1,:)=exp(x);
end

