function example7
%a problem with eigenvalues which have multiplicity = 4
disp('**************************************************')
disp('                EXAMPLE 7')
disp('**************************************************')
format long;
%the endpoints of the integration interval:
system.a=0;
system.b=10;
%boundary conditions:
system.A1=eye(4);
system.A2= zeros(4,4);
system.B1=eye(4);
system.B2= zeros(4,4);
%potential matrix function
system.V=@potentialMatrix;
%computes eigenvalues with indices 0 to 10, with input tolerance 1e-6
[EigvData,meshData]=computeEigenvalues(system,0,10,1e-6);

disp(['Number of intervals in the mesh: ' num2str(length(meshData.h))]); %number of intervals in the partition
disp(sprintf('k \t  E_k \t\t\t\t ErrEst \t status'))
for i=1:length(EigvData.eigenvalues)
    disp(sprintf('%-3.0f\t %-16.12f\t %-2.0e\t\t %d', EigvData.indices(i),EigvData.eigenvalues(i),EigvData.errorEstimations(i),EigvData.status(i)));
end


end

function r=potentialMatrix(x)
  %returns the potential matrix evaluated in x
  %x may be a vector of values
  r=zeros(4,4,length(x));
  r(1,1,:)=x.^2;
  r(2,2,:)=x.^2;
  r(3,3,:)=x.^2;
  r(4,4,:)=x.^2;
end

