function example8
%computing a large number of eigenvalues
disp('**************************************************')
disp('                EXAMPLE 8')
disp('**************************************************')
format long;
%the endpoints of the integration interval:
system.a=0;   
system.b=pi; 
system.A1=eye(2);
system.A2= zeros(2,2);
system.B1=eye(2);
system.B2= zeros(2,2);
system.V=@potentialMatrix;
disp(' ');
disp('Calculating eigenvalues with indices between 0 and 125...');
t=cputime;
[EigvData,meshData]=computeEigenvalues(system,0,125,1e-8);

disp(['Number of intervals in the mesh: ' num2str(length(meshData.h))]); %number of intervals in the partition
disp(['Time: ' num2str(cputime - t) ' sec']);
disp(sprintf('k \t  E_k \t\t\t\t ErrEst \t status'))
for i=1:length(EigvData.eigenvalues)
    disp(sprintf('%-3.0f\t %-16.12f\t %-2.0e\t\t %d', EigvData.indices(i),EigvData.eigenvalues(i),EigvData.errorEstimations(i),EigvData.status(i)));
end


end




function r=potentialMatrix(x)
  %returns the potential matrix evaluated in x
  %x may be a vector of values 
  r=zeros(2,2,length(x));
  r(1,1,:)=2*cos(2*x);
  r(2,2,:)=2*cos(2*x);
  r(1,2,:)=-1*ones(1,length(x));
  r(2,1,:)=-1*ones(1,length(x));
end

